/* $Id: params.h,v 1.5 1997/07/10 16:39:00 gjb Exp $
 * params.h  -- some helper macros for getting at the cache params
 * (C) 1997 Greg J. Badros, Andy Collins -- All Rights Reserved
 * <{gjb,acollins}@cs.washington.edu> 
 * Seattle, WA  USA
 * http://www.cs.washington.edu/homes/{gjb,acollins}
 */

#ifndef _PARAMS_H_
#define _PARAMS_H_

#define DISK_CACHE_ENABLED(inode)        (NFS_SERVER((inode))->flags & NFS_MOUNT_DC_ENABLE)
#define DISK_CACHE_READS(inode)          (NFS_SERVER((inode))->flags & NFS_MOUNT_DC_READS)
#define DISK_CACHE_WRITES(inode)         (NFS_SERVER((inode))->flags & NFS_MOUNT_DC_WRITES)
#define DISK_CACHE_DISCONNECTED(inode)   (NFS_SERVER((inode))->flags & NFS_MOUNT_DC_DISCONNECTED)
#define DISK_CACHE_FORCE_ON_CLOSE(inode) (NFS_SERVER((inode))->flags & NFS_MOUNT_DC_FORCE_ON_CLOSE)
#define DC_MAX_SIZE_FROM_NFS(inode)       ((inode)->i_sb->u.nfs_sb.dc_max_size)
#define DC_MAX_SIZE_FROM_CACHE(iCache)    ((iCache)->i_ibcinfo->nfs_sb_info->dc_max_size)
#define DC_PAGES_USED_FROM_NFS(inode)     ((inode)->i_sb->u.nfs_sb.dc_pages_used)
#define DC_PAGES_USED_FROM_CACHE(iCache)  ((iCache)->i_ibcinfo->nfs_sb_info->dc_pages_used)

#endif
